Table of Contents

## Name

glIndexd, glIndexf, glIndexi, glIndexs, glIndexub, glIndexdv, glIndexfv, glIndexiv, glIndexsv, glIndexubv - set the current color index

## C Specification

void glIndexd( GLdouble c )

void glIndexf( GLfloat c )

void glIndexi( GLint c )

void glIndexs( GLshort c )

void glIndexub( GLubyte c); 1.1 )

## Parameters

1.1
  Specifies the new value for the current color index.

## C Specification

void glIndexdv( const GLdouble *c )

void glIndexfv( const GLfloat *c )

void glIndexiv( const GLint *c )

void glIndexsv( const GLshort *c )

void glIndexubv( const GLubyte *c); 1.1 )

## Parameters

1.1
  Specifies a pointer to a one-element array that contains the new value for the current color index.

## Description

glIndex updates the current (single-valued) color index. It takes one argument, the new value for the current color index.

The current index is stored as a floating-point value. Integer values are converted directly to floating-point values, with no special mapping. The initial value is 1.

Index values outside the representable range of the color index buffer are not clamped. However, before an index is dithered (if enabled) and written to the frame buffer, it is converted to fixed-point . Any bits in the integer portion of the resulting fixed-point value that do not correspond to bits in the frame buffer are masked out.

## Notes

glIndexub and glIndexubv are available only if the GL version is 1.1 or greater.

The current index can be updated at any time. In particular, glIndex can be called between a call to glBegin and the corresponding call to glEnd.

## Associated Gets

glGet with argument GL_CURRENT_INDEX

## See Also

glColor(3G) , glIndexPointer(3G)

Table of Contents

- Name
- C Specification
- Parameters
- C Specification
- Parameters
- Description
- Notes
- Associated Gets
- See Also